Skip to content
Snippets Groups Projects
Commit ee31c646 authored by alexandr.kravchenko's avatar alexandr.kravchenko Committed by dmitriy.gerasimov
Browse files

Support 2649

parent 90f4b08c
No related branches found
No related tags found
No related merge requests found
Showing
with 75 additions and 0 deletions
VERSION_FILE=config.pri
VERSION_ENTRIES="VER_MAJ VER_MIN VER_PAT VER_CODE"
VERSION_FORMAT="VER_MAJ.VER_MIN-VER_PAT"
8dee3c803238884547a28dae9d2cc1a59220d896 e9d92f93a53d9cbe6f848e5aad91c22107acecd3
\ No newline at end of file
Package: ultrapad-dbgsym
Source: sapnet-client
Version: 5.9-37
Auto-Built-Package: debug-symbols
Architecture: i386
Maintainer: support <support@ncodedcommunications.com>
Installed-Size: 12620
Depends: ultrapad (= 5.9-37)
Section: debug
Priority: optional
Description: debug symbols for ultrapad
Build-Ids: 8dee3c803238884547a28dae9d2cc1a59220d896 e9d92f93a53d9cbe6f848e5aad91c22107acecd3
518a927e545ff04a3c49ccf4a6878202 usr/lib/debug/.build-id/8d/ee3c803238884547a28dae9d2cc1a59220d896.debug
6e8c0664e4dcb897caa7766c75323a41 usr/lib/debug/.build-id/e9/d92f93a53d9cbe6f848e5aad91c22107acecd3.debug
ultrapad
\ No newline at end of file
File moved
File moved
File moved
File moved
File moved
#!/bin/bash
WORKDIR="resources/cellframe/cellframe-node"
SCRIPTDIR="prod_build/linux/debian/scripts"
#cd $WORKDIR
$SCRIPTDIR/compile_and_pack.sh || exit 2 && \
$SCRIPTDIR/test.sh || exit 3 && \
$SCRIPTDIR/install_test.sh || exit 4 && \
$SCRIPTDIR/cleanup.sh || exit 5
#cd $wd
#!/bin/bash
check_packages() {
IFS=" "
local PKG_DEPPIES=$(echo $PKG_DEPS | sed 's/\"//g')
for element in "$PKG_DEPPIES"; do
echo "[DEBUGGA] Checking if $element is installed"
if ! dpkg-query -s $element; then
echo "[WRN] Package $element is not installed. Starting installation"
return 1
fi
done
return 0
}
install_dependencies() {
echo "Checking out the dependencies"
if check_packages >> /dev/null; then
echo "[INF] All required packages are installed"
else
echo ""
local PKG_DEPPIES=$(echo $PKG_DEPS | sed 's/\"//g')
echo "[DEBUGGA] Attempting to install $PKG_DEPPIES"
if sudo apt-get install $PKG_DEPPIES -y ; then
echo ""
echo "[INF] Packages were installed successfully"
else
echo "[ERR] can\'t install required packages. Please, check your package manager"
echo "Aborting"
exit 1
fi
fi
return 0
}
PKG_DEPS=$1
install_dependencies
#for variable in $(cat ./prod_build/general/conf/brands | sed 's/\"//g'); do
# echo $variable
# export "$variable"
#done
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment